Package com.emc.documentum.rest.dfc

# Interface ContentMetaDataManager

public interface ContentMetaDataManager
The content metadata manager to manage the content metadata on the sysobject

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContentMetaData`
  `getContentObject(String objectId, Integer page, String format, String pageModifier)`
  get the content object by parent id and dql builder
  `ContentMetaData`
  `getDetailContentObject(String objectId, int page, String format, String pageModifier)`
  get the detailed content object by parent id and dql builder.
  `Page<ContentMetaData>`
  `getPagedContentObjects(String objectId, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView)`
  get all ContentObjects of primary content and renditions by its parent id
  `void`
  `setContentMediaUrls(String objectId, List<ContentMetaData> contents, List<String> localMediaUrls, MediaUrlPolicy contentReturnPolicy, String netLocId)`
  Set Content Media URLs for the content objects
  `ContentMetaData`
  `updateContent(String objectId, int page, String format, String modifier, List<ContentAttribute> contentAttributes)`

- ## Method Details

  - ### getPagedContentObjects

    Page<ContentMetaData> getPagedContentObjects(String objectId, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView) throws com.documentum.fc.common.DfException
    get all ContentObjects of primary content and renditions by its parent id
    Parameters:
      `objectId` - the target object id
      `page` - the page no in the paginated collection
      `itemsPerPage` - the requested number of items in the paginated collection
      `includeTotal` - whether include total
      `attributeView` - the AttributeView info
    Returns:
      list of ContentObjects
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### setContentMediaUrls

    void setContentMediaUrls(String objectId, List<ContentMetaData> contents, List<String> localMediaUrls, MediaUrlPolicy contentReturnPolicy, String netLocId) throws com.documentum.fc.common.DfException
    Set Content Media URLs for the content objects
    Parameters:
      `objectId` - the sysobject ID for the content objects
      `contents` - the content objects list
      `localMediaUrls` - the local content media URLs for the content objects list
      `contentReturnPolicy` - content media URL return policy
      `netLocId` - network location specified for BOCS content URLs
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getContentObject

    ContentMetaData getContentObject(String objectId, Integer page, String format, String pageModifier) throws com.documentum.fc.common.DfException
    get the content object by parent id and dql builder
    Parameters:
      `objectId` - the parent object id for the content
      `page` - the page number for the content
      `format` - the format for the content
      `pageModifier` - the page modifier for the content
    Returns:
      the content object
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getDetailContentObject

    ContentMetaData getDetailContentObject(String objectId, int page, String format, String pageModifier) throws com.documentum.fc.common.DfException
    get the detailed content object by parent id and dql builder.
    Parameters:
      `objectId` - the parent object id for the content
      `page` - the page number of the content
      `format` - the format for the content
      `pageModifier` - the page modifier for the content
    Returns:
      the content object
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### updateContent

    ContentMetaData updateContent(String objectId, int page, String format, String modifier, List<ContentAttribute> contentAttributes) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`